Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JExcelApiExporter.BoxStyle

    java.lang.Object
      net.sf.jasperreports.engine.export.JExcelApiExporter.BoxStyle

Enclosing class:
  JExcelApiExporter

    protected class JExcelApiExporter.BoxStyle

extends java.lang.Object

Field Summary
`protected jxl.format.Colour[]` | `borderColour`
`protected jxl.format.BorderLineStyle[]` | `borderStyle`
`protected static int` | `BOTTOM`
`protected static int` | `LEFT`
`protected static int` | `RIGHT`
`protected static int` | `TOP`

Constructor Summary
`JExcelApiExporter.BoxStyle(int side, JRPen pen)`
`JExcelApiExporter.BoxStyle(JRExporterGridCell gridCell)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`void` | `setBox(JRLineBox box)`
`void` | `setPen(JRPen pen)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TOP

    protected static final int TOP

See Also:
  Constant Field Values

### LEFT

    protected static final int LEFT

See Also:
  Constant Field Values

### BOTTOM

    protected static final int BOTTOM

See Also:
  Constant Field Values

### RIGHT

    protected static final int RIGHT

See Also:
  Constant Field Values

### borderStyle

    protected jxl.format.BorderLineStyle[] borderStyle

### borderColour

    protected jxl.format.Colour[] borderColour

Constructor Detail

### JExcelApiExporter.BoxStyle

    public JExcelApiExporter.BoxStyle(int side,
                                      JRPen pen)

### JExcelApiExporter.BoxStyle

    public JExcelApiExporter.BoxStyle(JRExporterGridCell gridCell)

Method Detail

### setBox

    public void setBox(JRLineBox box)

### setPen

    public void setPen(JRPen pen)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com